aboutsummaryrefslogtreecommitdiff
path: root/init.d/sysfs.in
diff options
context:
space:
mode:
Diffstat (limited to 'init.d/sysfs.in')
-rw-r--r--init.d/sysfs.in9
1 files changed, 9 insertions, 0 deletions
diff --git a/init.d/sysfs.in b/init.d/sysfs.in
index bc0d9d3d..6e52a9d5 100644
--- a/init.d/sysfs.in
+++ b/init.d/sysfs.in
@@ -82,6 +82,15 @@ mount_misc()
fi
fi
+ # Setup Kernel Support for SELinux
+ if [ -d /sys/fs/selinux ] && ! mountinfo -q /sys/fs/selinux; then
+ if grep -qs selinuxfs /proc/filesystems; then
+ ebegin "Mounting SELinux filesystem"
+ mount -t selinuxfs selinuxfs /sys/fs/selinux
+ eend $?
+ fi
+ fi
+
# setup up kernel support for efivarfs
# slightly complicated, as if it's build as a module but NOT yet loaded,
# it will NOT appear in /proc/filesystems yet